Skip to content

Promote Template

POST
/api/internal/templates/promote
curl --request POST \
--url https://example.com/api/internal/templates/promote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "slug": "example", "template_id": "example" }'

Open a PR that copies templates/<slug>/ from this pod’s environment branch to the next env’s branch. Mirrors the automation promote ladder: dev pod → develop → release (PR ← release-templates/-) test pod → release → main (PR ← release-templates/-)

Media typeapplication/json
TemplatePromoteRequest
object
slug
required
Slug
string
>= 1 characters
template_id
Any of:
string
Examplegenerated
{
"slug": "example",
"template_id": "example"
}

Successful Response

Media typeapplication/json
TemplatePromoteResponse
object
success
required
Success
boolean
slug
required
Slug
string
source_environment
required
Source Environment
string
target_environment
required
Target Environment
string
source_branch
required
Source Branch
string
target_branch
required
Target Branch
string
proposal_branch
Any of:
string
changed
Changed
boolean
commit_sha
Any of:
string
pull_request
Pull Request
object
key
additional properties
any
merge
Merge
object
key
additional properties
any
auto_merge_requested
Auto Merge Requested
boolean
reason
Any of:
string
Example
{
"changed": false,
"auto_merge_requested": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}